# Cancel a Workstream graph
Source: https://docs.simpleserve.ai/docs/api-reference/workstreams/post-workstreams-workstream_id-cancel

Method: POST /v1/workstreams/{workstream_id}/cancel
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/workstreams/{workstream_id}/cancel",
  "method": "POST",
  "tags": [
    "Workstreams"
  ],
  "operationId": "cancelWorkstream",
  "summary": "Cancel a Workstream graph",
  "parameters": [
    {
      "$ref": "#/components/parameters/WorkstreamId"
    }
  ],
  "responses": {
    "200": {
      "description": "The cancelled Workstream.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Workstream"
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "409": {
      "$ref": "#/components/responses/Conflict"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```